aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObjects

# Documentation

data DeleteObjects Source #

Constructors

DeleteObjects |

Fields

- dosBucket :: Bucket
- dosObjects :: [(Object, Maybe Text)]
- dosQuiet :: Bool
- dosMultiFactorAuthentication :: Maybe Text

#### Instances

Instances details

SignQuery DeleteObjects Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ServiceConfiguration DeleteObjects |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ServiceConfiguration DeleteObjects = S3Configuration

Methods

signQuery :: DeleteObjects -> ServiceConfiguration DeleteObjects queryType -> SignatureData -> SignedQuery Source #

Show DeleteObjects Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DeleteObjects -> ShowS Source # show :: DeleteObjects -> String Source # showList :: [DeleteObjects] -> ShowS Source #
ResponseConsumer DeleteObjects DeleteObjectsResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ResponseMetadata DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjects -> IORef (ResponseMetadata DeleteObjectsResponse) -> HTTPResponseConsumer DeleteObjectsResponse Source #

Transaction DeleteObjects DeleteObjectsResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects
type ServiceConfiguration DeleteObjects Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ServiceConfiguration DeleteObjects = S3Configuration

deleteObjects :: Bucket -> [Text] -> DeleteObjects Source #

data DeleteObjectsResponse Source #

Constructors

DeleteObjectsResponse |

Fields

- dorDeleted :: [DORDeleted]
- dorErrors :: [DORErrors]

#### Instances

Instances details

AsMemoryResponse DeleteObjectsResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type MemoryResponse DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse

Methods

loadToMemory :: DeleteObjectsResponse -> ResourceT IO (MemoryResponse DeleteObjectsResponse) Source #

Show DeleteObjectsResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DeleteObjectsResponse -> ShowS Source # show :: DeleteObjectsResponse -> String Source # showList :: [DeleteObjectsResponse] -> ShowS Source #
ResponseConsumer DeleteObjects DeleteObjectsResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ResponseMetadata DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjects -> IORef (ResponseMetadata DeleteObjectsResponse) -> HTTPResponseConsumer DeleteObjectsResponse Source #

Transaction DeleteObjects DeleteObjectsResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects
type MemoryResponse DeleteObjectsResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse
type ResponseMetadata DeleteObjectsResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata

data DORDeleted Source #

Constructors

DORDeleted |

Fields

- ddKey :: Text
- ddVersionId :: Maybe Text
- ddDeleteMarkerVersionId :: Maybe Text

#### Instances

Instances details

Show DORDeleted Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DORDeleted -> ShowS Source # show :: DORDeleted -> String Source # showList :: [DORDeleted] -> ShowS Source #

data DORErrors Source #

Constructors

DORErrors |

Fields

- deKey :: Text
- deCode :: Text
- deMessage :: Text

#### Instances

Instances details

Show DORErrors Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DORErrors -> ShowS Source # show :: DORErrors -> String Source # showList :: [DORErrors] -> ShowS Source #